cURL
curl --request PATCH \ --url https://api.example.com/lead-sessions/{session_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "status": "<string>", "clientName": "<string>", "clientEmail": "<string>", "brief": "<string>", "discoveryData": {}, "suggestedProposalType": "<string>", "callbackUrl": "<string>", "providerChatId": "<string>", "proposalId": "<string>", "agentConversationId": "<string>", "shareLink": "<string>" } '
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Update a lead session.
Required scope: write
write
Use this to:
When status changes to proposal_ready, if a callbackUrl is set, the system will POST to that URL with the session data.
proposal_ready
callbackUrl
Update an existing lead session.
Successful Response